import java.io.*;

public class ReusableOutputStream extends OutputStream {
    // it seems wrong that OutputStream is a class and not an interface.

    private OutputStream base;

    public void setOutputStream(OutputStream base) {
        this.base = base;
    }

    public void write(int b) throws IOException {
        this.base.write(b);
    }

    public void write(byte[] b) throws IOException {
        this.base.write(b);
    }

    public void write(byte[] b, int offset, int length) throws IOException {
        this.base.write(b, offset, length);
    }

    public void flush() throws IOException {
        this.base.flush();
    }

    public void close() throws IOException {
        this.base.close();
    }
    
}
